package com.halomobi.common;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;


public abstract class ParameterInfoProducer {


    /**
     * 给接口追加通用参数
     *
     * @throws UnsupportedEncodingException
     **/
    public static String appendCommonParameter() throws UnsupportedEncodingException {
            return "";
//        return "&channel_id=" +
//                Config.SDK_CHANNEL +
//                "&device=" +
//                getEncodeValue(Config.getDevice()) +
//                "&cuid=" +
//                getEncodeValue(Config.getCuid()) +
//                "&client_id=" +
//                getEncodeValue(Config.getClientID()) +
//                "&device_id=" +
//                getEncodeValue(Config.getDeviceID()) +
//                "&os_level=" +
//                getEncodeValue(Config.getOsVersionInt()) +
//                "&sn=" +
//                Config.SDK_NAME +
//                "&ovr=" +
//                getEncodeValue(Config.getOSVersion()) +
//                "&svr=" +
//                getEncodeValue(Config.SDK_VERSION) +
//                "&os_id=" +
//                getEncodeValue(Config.getAndroidID()) +
//                "&net_type=" +
//                getEncodeValue(NetworkUtils.getNetworkType() + "");
    }

    /**
     * 对参数的value进行编码
     *
     * @param value 参数value
     * @return 编码后value
     * @throws UnsupportedEncodingException
     */
    public static String getEncodeValue(String value) throws UnsupportedEncodingException {
        return URLEncoder.encode(value, "utf-8");
    }

}
