package com.halomobi.network.listeners;


public interface ClickAdStateChangListener {
    int STATE_WEB_OPEN = 0x01;
    int STATE_WEB_CLOSE = 0x02;
    int STATE_WEB_START_LOAD = 0x03;
    int STATE_WEB_LOAD_FINISH = 0x04;
    int STATE_WEB_LOAD_DEEPLINK = 0x05;
    int STATE_APP_DOWNLOAD_START = 0x10;
    int STATE_APP_DOWNLOAD_OK = 0x11;
    int STATE_APP_DOWNLOAD_FAILED = 0x12;
    int STATE_APP_INSTALLED = 0x13;
    int STATE_APP_OPEN = 0x14;

    int STATE_OPTION_DIALOG_OPEN = 0x20;
    int STATE_OPTION_DIALOG_CANCEL = 0x21;
    int STATE_OPTION_DIALOG_CONFIRM = 0x22;

    void onClickAdStateChang(int clickAdState);

}
