package com.halomobi.download.listener;


import com.halomobi.download.bean.DownloadItem;
import com.halomobi.network.request.ad.bean.Ad;

public interface DownloadStateListener {

    void onDownloadError(DownloadItem item, int errorCode, String errorMsg);

    void onDownloadStart(DownloadItem item, Ad ad);

    void onDownloaded(DownloadItem item, Ad ad);

    void onInstalled(DownloadItem item, Ad ad);

    void onOpened(DownloadItem item, Ad ad);
}
