package com.halomobi.network.schedule;

public interface ITask extends Runnable {

    LaunchMode getLaunchMode();

    String getName();

    /**
     * 启动模式
     */
    enum LaunchMode {
        /**
         * 更新旧的Task(按照TaskName,先删掉旧的,再添加新的)
         */
        REPLACE_OLD,
        /**
         * 添加新的Task
         */
        ADD_NEW,
    }
}
